Subject: bug#27049: [PATCH] gnu: Add mathjax.

From: Jelle Licht <[email-masked]>
Date: Mon, 29 May 2017 13:13:23 +0200

2017-05-29 11:34 GMT+02:00 Ludovic Courtès <[email-masked]>:

> Arun Isaac <[email-masked]> skribis:
>
> > Ludovic Courtès writes:
> >
> >> Also, Arun: is this package really source code?  Or does it contain
> >> “minified” code and also bundles all its dependencies (which would not
> >> be okay)?
> >
> > Good question! I had assumed it was the full source code without
> > checking carefully! I checked just now. The full source code is in the
> > "unpacked" directory of the tarball. The code in the top level directory
> > of the tarball is minified code. I think we should install only the
> > minified code to share/javascript/mathjax/.
>
> Yes, but we should treat minified code as “object code”: we’d remove it
> in a snippet and then minify from source.
>
> ISTR that the common minifiers depend on a lot of Node packages, so this
> may be a can of worms.  Maybe Jelle or Chris or Dave know more?
>

The minifiers I use for work are usually designed as a plugin in a bigger
node packages, so they suffer from the bootstrap problem lots of node
packages have if you want to build them from source.
Maybe we could look for a smaller, standalone minifier package that we
could use for all minification needs in guix? I always used uglify-js from
before my guix days, so I am not sure how workable it would be to package.

> > And, like Brendan said, we should separate the fonts into a font-mathjax
> > package. And, these fonts should be symlinked into the js-mathjax
> > package.
>
> Agreed.
>
> Thanks!
>
> Ludo’.
>
>
- Jelle